package com.ruoyi.mall.domain;

import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;
import com.ruoyi.common.annotation.Excel;
import com.ruoyi.common.core.domain.BaseEntity;

/**
 * 秒杀时间对象 mall_seckill_time
 *
 * @author ruoyi
 * @date 2022-07-01
 */
public class MallSeckillTime extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** id */
    @Excel(name = "id")
    private Integer id;

    /** 秒杀时间 */
    @Excel(name = "秒杀时间")
    private String timeHour;

    /** 结束时间 */
    @Excel(name = "结束时间")
    private String timeEnd;

    /** 创建时间 */
    @Excel(name = "创建时间")
    private String createAt;

    /** 状态（0-显示，1-隐藏） */
    private Integer status;

    /** 删除标记（0-正常，1-删除） */
    @Excel(name = "删除标记", readConverterExp = "0=-正常，1-删除")
    private Integer delFlag;

    public String getTimeEnd() {
        return timeEnd;
    }

    public void setTimeEnd(String timeEnd) {
        this.timeEnd = timeEnd;
    }

    public Integer getStatus() {
        return status;
    }

    public void setStatus(Integer status) {
        this.status = status;
    }

    public void setId(Integer id)
    {
        this.id = id;
    }

    public Integer getId()
    {
        return id;
    }
    public void setTimeHour(String timeHour)
    {
        this.timeHour = timeHour;
    }

    public String getTimeHour()
    {
        return timeHour;
    }
    public void setCreateAt(String createAt)
    {
        this.createAt = createAt;
    }

    public String getCreateAt()
    {
        return createAt;
    }
    public void setDelFlag(Integer delFlag)
    {
        this.delFlag = delFlag;
    }

    public Integer getDelFlag()
    {
        return delFlag;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
            .append("id", getId())
            .append("timeHour", getTimeHour())
            .append("createAt", getCreateAt())
            .append("delFlag", getDelFlag())
            .toString();
    }
}
